OGRE: Ogre::ConstMapIterator< T > Class Template Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | List of all members
Ogre::ConstMapIterator< T > Class Template Reference

Concrete IteratorWrapper for const access to the underlying key-value container. More...

`#include <OgreIteratorWrapper.h>`

Inheritance diagram for Ogre::ConstMapIterator< T >:
[legend]

## Public Types
typedef T::const_iterator | const_iterator
| Typedef to fulfill container interface. More...
typedef T::const_iterator | iterator
| Typedef to fulfill container interface. More...
typedef T::key_type | KeyType
| Type you expect to get by funktions like peekNextKey. More...
typedef T::value_type | PairType
| Unused, just to make it clear that map/set::value_type is not a ValueType. More...
typedef IteratorWrapper< T, T::const_iterator, typename T::mapped_type >::PointerType | PointerType
| Redefined PointerType for a map/set. More...
typedef IteratorWrapper< T, T::const_iterator, typename T::mapped_type >::ValueType | ValueType
| Redefined ValueType for a map/set. More...

## Public Member Functions
| ConstMapIterator (const T &c)
| Constructor. More...
| ConstMapIterator (typename T::const_iterator start, typename T::const_iterator last)
| Constructor. More...
const T::const_iterator & | begin ()
| Bookmark to the begin of the underlying collection. More...
T::const_iterator & | current ()
| Full access to the current iterator. More...
const T::const_iterator & | end ()
| Bookmark to the end (one behind the last element) of the underlying collection. More...
ValueType | getNext ()
| Returns the next(=current) value element in the collection, and advances to the next. More...
bool | hasMoreElements () const
| Returns true if there are more items in the collection. More...
void | moveNext ()
| Moves the iterator on one element. More...
KeyType | peekNextKey (void) const
| Returns the next(=current) key element in the collection, without advancing to the next. More...
ValueType | peekNextValue () const
| Returns the next(=current) value element in the collection, without advancing to the next. More...
const PointerType | peekNextValuePtr () const
| Returns a pointer to the next/current value element in the collection, without advancing to the next afterwards. More...

## Detailed Description

### template<typename T>
class Ogre::ConstMapIterator< T >

Concrete IteratorWrapper for const access to the underlying key-value container.

Template Parameters

  T | key-value container

## Member Typedef Documentation

## ◆ const_iterator

typedef T::const_iterator Ogre::IteratorWrapper< T, T::const_iterator , T::mapped_type >::const_iterator
| inherited

Typedef to fulfill container interface.

Useful if you want to use BOOST_FOREACH

Note
  there is no distinction between const_iterator and iterator.
  keep this in mind if you want to derivate from this class.

## ◆ iterator

typedef T::const_iterator Ogre::IteratorWrapper< T, T::const_iterator , T::mapped_type >::iterator
| inherited

Typedef to fulfill container interface.

Useful if you want to use BOOST_FOREACH

Note
  there is no distinction between const_iterator and iterator.
  keep this in mind if you want to derivate from this class.

## ◆ KeyType

typedef T::key_type Ogre::MapIteratorWrapper< T, T::const_iterator >::KeyType
| inherited

Type you expect to get by funktions like peekNextKey.

## ◆ PairType

typedef T::value_type Ogre::MapIteratorWrapper< T, T::const_iterator >::PairType
| inherited

Unused, just to make it clear that map/set::value_type is not a ValueType.

## ◆ PointerType

typedef IteratorWrapper<T, T::const_iterator , typename T::mapped_type>::PointerType Ogre::MapIteratorWrapper< T, T::const_iterator >::PointerType
| inherited

Redefined PointerType for a map/set.

## ◆ ValueType

typedef IteratorWrapper<T, T::const_iterator , typename T::mapped_type>::ValueType Ogre::MapIteratorWrapper< T, T::const_iterator >::ValueType
| inherited

Redefined ValueType for a map/set.

## Constructor & Destructor Documentation

## ◆ ConstMapIterator() [1/2]

template<typename T >

Ogre::ConstMapIterator< T >::ConstMapIterator | ( | typename T::const_iterator | start,
|  | typename T::const_iterator | last
| ) |  |
| inline

Constructor.

Remarks
  Provide a start and end iterator to initialise.

## ◆ ConstMapIterator() [2/2]

template<typename T >

Ogre::ConstMapIterator< T >::ConstMapIterator | ( | const T & | c | ) |
| inlineexplicit

Constructor.

Remarks
  Provide a container to initialise.

## Member Function Documentation

## ◆ begin()

const T::const_iterator & Ogre::IteratorWrapper< T, T::const_iterator , T::mapped_type >::begin
| inlineinherited

Bookmark to the begin of the underlying collection.

## ◆ current()

T::const_iterator & Ogre::IteratorWrapper< T, T::const_iterator , T::mapped_type >::current
| inlineinherited

Full access to the current iterator.

## ◆ end()

const T::const_iterator & Ogre::IteratorWrapper< T, T::const_iterator , T::mapped_type >::end | ( | void |  | ) |
| inlineinherited

Bookmark to the end (one behind the last element) of the underlying collection.

## ◆ getNext()

ValueType Ogre::MapIteratorWrapper< T, T::const_iterator >::getNext
| inlineinherited

Returns the next(=current) value element in the collection, and advances to the next.

## ◆ hasMoreElements()

bool Ogre::IteratorWrapper< T, T::const_iterator , T::mapped_type >::hasMoreElements
| inlineinherited

Returns true if there are more items in the collection.

## ◆ moveNext()

void Ogre::IteratorWrapper< T, T::const_iterator , T::mapped_type >::moveNext
| inlineinherited

Moves the iterator on one element.

## ◆ peekNextKey()

KeyType Ogre::MapIteratorWrapper< T, T::const_iterator >::peekNextKey | ( | void |  | ) | const
| inlineinherited

Returns the next(=current) key element in the collection, without advancing to the next.

## ◆ peekNextValue()

ValueType Ogre::MapIteratorWrapper< T, T::const_iterator >::peekNextValue
| inlineinherited

Returns the next(=current) value element in the collection, without advancing to the next.

## ◆ peekNextValuePtr()

const PointerType Ogre::MapIteratorWrapper< T, T::const_iterator >::peekNextValuePtr
| inlineinherited

Returns a pointer to the next/current value element in the collection, without advancing to the next afterwards.

The documentation for this class was generated from the following file:

- OgreIteratorWrapper.h